<?php

namespace App\Policies;

use App\Permissions\Modules\Admin;
use App\Permissions\Modules\Analytics;
use App\Permissions\Modules\Orders;
// use App\Models\Admin Admins;
use Illuminate\Auth\Access\HandlesAuthorization;

class AnalyticsPolicy
{
    use HandlesAuthorization;
    private $class_name='Cart';
    /**
     * Create a new policy instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }
    public function overview_analytics($user)
    {
        return $user->role->havePermission(Analytics::ANALYTICS_OVERVIEW);

    }
    public function orders_analytics($user)
    {
        return $user->role->havePermission(Analytics::ANALYTICS_ORDERS);

    }
    public function product_analytics($user)
    {
        return $user->role->havePermission(Analytics::ANALYTICS_PRODUCTS);
    }


}
